Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.container
Interface PortletContainer

All Known Implementing Classes:
  PortletContainerImpl

    public interface PortletContainer

Version:
  $Revision: 7226 $
Author:
  Julien Viet

Method Summary
`PortletInvocationResponse` | `dispatch(PortletInvocation invocation)`
`PortletApplication` | `getApplication()` Return the portlet application of this container.
`java.lang.String` | `getId()` Return the portlet container id, unique within the context of the parent application.
`PortletInfo` | `getInfo()` Returns the runtime meta data of the container.
`Valve` | `getValve()`
`void` | `setApplication(PortletApplication application)`
`void` | `start()` Starts the portlet container.
`void` | `stop()` Stops the portlet container.

Method Detail

### getId

    java.lang.String getId()

  Return the portlet container id, unique within the context of the parent application.

  Returns:
    the id

### getInfo

    PortletInfo getInfo()

  Returns the runtime meta data of the container.

  Returns:
    the info

### getApplication

    PortletApplication getApplication()

  Return the portlet application of this container.

  Returns:
    the application

### setApplication

    void setApplication(PortletApplication application)

### getValve

    Valve getValve()

### dispatch

    PortletInvocationResponse dispatch(PortletInvocation invocation)
                                       throws PortletInvokerException,
                                              InvocationException

  Throws:
    `PortletInvokerException`
    `InvocationException`

### start

    void start()
               throws java.lang.Exception

  Starts the portlet container.

  Throws:
    `java.lang.Exception` - any exception preventing the start

### stop

    void stop()

  Stops the portlet container.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD